Enroll or update people (sync; from a list or inline; ≤1,000/call)
curl --request POST \
--url https://origami.chat/api/v3/send/campaigns/{campaign_id}/people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"row_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"people": [
{
"why_this_person": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"title": "<string>",
"company": "<string>",
"linkedin_url": "<string>",
"website_url": "<string>",
"picture_url": "<string>",
"context": {},
"posts": [
{
"social_id": "<string>",
"text": "<string>",
"url": "<string>",
"posted_at": "<string>",
"platform": "linkedin",
"image_url": "<string>",
"is_reshare": true
}
]
}
],
"mapping": {
"identity": {},
"context": {},
"why_this_person": "<string>"
},
"default_why_this_person": "<string>",
"min_relevance_score": 50,
"override_duplicate_send": true
}
'import requests
url = "https://origami.chat/api/v3/send/campaigns/{campaign_id}/people"
payload = {
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"row_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"people": [
{
"why_this_person": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"title": "<string>",
"company": "<string>",
"linkedin_url": "<string>",
"website_url": "<string>",
"picture_url": "<string>",
"context": {},
"posts": [
{
"social_id": "<string>",
"text": "<string>",
"url": "<string>",
"posted_at": "<string>",
"platform": "linkedin",
"image_url": "<string>",
"is_reshare": True
}
]
}
],
"mapping": {
"identity": {},
"context": {},
"why_this_person": "<string>"
},
"default_why_this_person": "<string>",
"min_relevance_score": 50,
"override_duplicate_send": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
row_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
people: [
{
why_this_person: '<string>',
name: '<string>',
email: 'jsmith@example.com',
title: '<string>',
company: '<string>',
linkedin_url: '<string>',
website_url: '<string>',
picture_url: '<string>',
context: {},
posts: [
{
social_id: '<string>',
text: '<string>',
url: '<string>',
posted_at: '<string>',
platform: 'linkedin',
image_url: '<string>',
is_reshare: true
}
]
}
],
mapping: {identity: {}, context: {}, why_this_person: '<string>'},
default_why_this_person: '<string>',
min_relevance_score: 50,
override_duplicate_send: true
})
};
fetch('https://origami.chat/api/v3/send/campaigns/{campaign_id}/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}People
Enroll people
Enroll or update people (sync; from a list or inline; ≤1,000/call)
POST
/
send
/
campaigns
/
{campaign_id}
/
people
Enroll or update people (sync; from a list or inline; ≤1,000/call)
Authorizations
API key: Authorization: Bearer og_live_...
Path Parameters
Body
application/json
Required array length:
1 - 1000 elementsRequired array length:
1 - 1000 elementsShow child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
1 - 2000Required range:
0 <= x <= 100Response
Success
The response is of type object.